Package org.drinkless.tdlib

# Class TdApi.StarTransactionPartnerChannel

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StarTransactionPartner
org.drinkless.tdlib.TdApi.StarTransactionPartnerChannel

Enclosing class:
  TdApi

public static class TdApi.StarTransactionPartnerChannel extends TdApi.StarTransactionPartner
The transaction is a transaction with a channel chat.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StarTransactionPartner

  `TdApi.StarTransactionPartner.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.PaidMedia[]`
  `media`
  Information about the bought media.
  `long`
  `paidMediaMessageId`
  Identifier of the corresponding message with paid media; can be an identifier of a deleted message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StarTransactionPartnerChannel()`
  The transaction is a transaction with a channel chat.
  `StarTransactionPartnerChannel(long chatId, long paidMediaMessageId, TdApi.PaidMedia[] media)`
  The transaction is a transaction with a channel chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat.

  - ### paidMediaMessageId

    public long paidMediaMessageId
    Identifier of the corresponding message with paid media; can be an identifier of a deleted message.

  - ### media

    public TdApi.PaidMedia[] media
    Information about the bought media.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StarTransactionPartnerChannel

    public StarTransactionPartnerChannel()
    The transaction is a transaction with a channel chat.

  - ### StarTransactionPartnerChannel

    public StarTransactionPartnerChannel(long chatId, long paidMediaMessageId, TdApi.PaidMedia[] media)
    The transaction is a transaction with a channel chat.
    Parameters:
      `chatId` - Identifier of the chat.
      `paidMediaMessageId` - Identifier of the corresponding message with paid media; can be an identifier of a deleted message.
      `media` - Information about the bought media.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StarTransactionPartner`
    Returns:
      this.CONSTRUCTOR